Subject: bug#36368: closed (Re: bug#36368: 27.0.50; @uref{} @url{} misusage?)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Jun 2019 23:22:02 +0000

Your bug report

#36368: 27.0.50; @uref{} @url{} misusage?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36368: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36368
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36368: 27.0.50; @uref{} @url{} misusage?
From: Katsumi Yamaoka <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 Jun 2019 08:21:20 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 25 Jun 2019 18:04:59 +0300, Eli Zaretskii wrote:
[...]
>> @uref{https://www.example.com/,,description}  ...[1]

>> This produces only "description", the url nor the link doesn't
>> appear in the info file.  Shouldn't it use a single "," not ",,"?

> Not necessarily.  See the description in the node "@url Examples" of
> the Texinfo manual.

> If, after reading that, you agree that this is not a bug, please close
> it.

Ok, it's not a bug and I'm closing this.  Why I suspected it not
to be what the author wanted to do (since those urls will never
appear in at least info files) is that such expressions are just
a few cases in the texi files existing in the doc/ directory.
Overwhelming numbers of @uref, @url, and @indicateurl forms show
urls in info files:

175+94+8  @uref{url} @url{url} @indicateurl{url}
  196+20  @uref{url,desc} @url{url,desc}
     7+3  @uref{url,,desc} @url{url,,desc}

Regards,

;; I found it while translating the recent changes in auth.texi
;; into Japanese in gnus-doc-ja.  Though auth-source.el is not
;; a part of Gnus, I've been still keeping to maitain the files
;; that used to be in the Gnus repo that was separated from Emacs.

Subject: 27.0.50; @uref{} @url{} misusage?
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Tue, 25 Jun 2019 10:26:26 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

The three texi files auth.texi, cc-mode.texi, and tramp.texi in
the doc/misc/ directory use this kind of markup:

@uref{https://www.example.com/,,description}  ...[1]

This produces only "description", the url nor the link doesn't
appear in the info file.  Shouldn't it use a single "," not ",,"?

[1] in tramp.texi @url is used instead in the @footnote{}.